chrome.runtime.onInstalled.addListener(function () {
    console.log("Barcode Extension got onInstalled event");
    init_options();
});

chrome.pageAction.onClicked.addListener(function(tab) {
    console.log('Inject into ' + tab.url + ' !');
	  chrome.tabs.executeScript(null, {file: "inventoryDownload.js"});
});


chrome.runtime.onMessage.addListener(onMessage);

// Tunn Barcode Scann icon on or off
function onMessage(request, sender, sendResponse) {
    // Show the page action for the tab that the sender (content script)
    // was on.
    // alert(request.icon);
    if (request.icon == "on") {chrome.pageAction.show(sender.tab.id);}
	  if (request.icon == "off") {chrome.pageAction.hide(sender.tab.id);}
    // Return nothing to let the connection be cleaned up.
	  sendResponse({});
}


function init_options() {
  chrome.storage.sync.get({
    enableScanner: true,
    beepVOL: "300",
    enableASIN: true,
    enablePS: true,
    barcodePS: true,
    sellerlogo: "http://www.clker.com/cliparts/8/7/b/4/12065626191489794200mystica_(Splash)_Logotype.svg.med.png",
    sellerlogoWidth: "135",
    sellerlogoSubtext: "",
    agent: "Mike",
    psGreeting: '<B>Thanks for your order!</B> #agent# has packed it with care. If you anyhow ...<BR><BR>YOU CAN SETUP THIS TEXT AND COMPANY LOGO on the options page of this Chrome extension. Goto chrome://extensions , look for "Barcodes for Sellercentral" and click "options"!',
    hideIntlPS: false,
    noIntlCountryPS: "",
    bigpcsPS: true,
    printMargins: "margin: 6mm 0mm 8mm 0mm;"
  }, function(items) {
    
    save_options(items);

  });
  
}

function save_options(items) {
  
    chrome.storage.sync.set({
        enableScanner: items.enableScanner,
        beepVOL: items.beepVOL,
        enableASIN: items.enableASIN,
        enablePS: items.enablePS,
        barcodePS: items.barcodePS,
        extVersion: items.extVersion,
        sellerlogo: items.sellerlogo,
        sellerlogoWidth: items.sellerlogoWidth,
        sellerlogoSubtext: items.sellerlogoSubtext,
        agent: items.agent,
        psGreeting: items.psGreeting,
        hideIntlPS: items.hideIntlPS,
        noIntlCountryPS: items.noIntlCountryPS,
        bigpcsPS: items.bigpcsPS,
        printMargins: items.printMargins
    }, function() {
        console.log("Initialisation sucsessful!");

    });
}