// Saves options to chrome.storage
function save_options() {
  
    var extVersion = chrome.app.getDetails().version;
    var enableScanner = document.getElementById('enableScanner').checked;
    var beepVOL = document.getElementById('beepVOL').innerText.trim();
    var enableASIN = document.getElementById('enableASIN').checked;
    var enablePS = document.getElementById('enablePS').checked;
    var barcodePS = document.getElementById('barcodePS').checked;
    var sellerlogo = document.getElementById('sellerlogo').innerText.trim();
    var sellerlogoWidth = document.getElementById('sellerlogoWidth').innerText.trim();
    var sellerlogoSubtext = document.getElementById('sellerlogoSubtext').innerText.trim();
    var agent = document.getElementById('agent').innerText.trim();
    var psGreeting = document.getElementById('psGreeting').innerText.trim();
    var hideIntlPS = document.getElementById('hideIntlPS').checked;
    var noIntlCountryPS = document.getElementById('noIntlCountryPS').innerText.trim();
    var bigpcsPS = document.getElementById('bigpcsPS').checked;
    var printMargins = document.getElementById('printMargins').innerText.trim();
 // var color = document.getElementById('color').value;

    chrome.storage.sync.set({
        enableScanner: enableScanner,
        beepVOL: beepVOL,
        enableASIN: enableASIN,
        enablePS: enablePS,
        barcodePS: barcodePS,
        extVersion: extVersion,
        sellerlogo: sellerlogo,
        sellerlogoWidth: sellerlogoWidth,
        sellerlogoSubtext: sellerlogoSubtext,
        agent: agent,
        psGreeting: psGreeting,
        hideIntlPS: hideIntlPS,
        noIntlCountryPS: noIntlCountryPS,
        bigpcsPS: bigpcsPS,
        printMargins: printMargins
   //  ,favoriteColor: color
    }, function() {
        // Update status to let user know options were saved.
        var status = document.getElementById('status');
        status.textContent = 'Options saved.';
        setTimeout(function() {
            status.textContent = '';
        }, 750);
        //restore_options();
    });
}

// Restores select box and checkbox state using the preferences
// stored in chrome.storage.
function restore_options(callback) {
  // Use default value color = 'red' and likesColor = true.
  chrome.storage.sync.get(null
  //  {
  //  enablePS: true,
  //  barcodePS: false,
  //  sellerlogo: "http://www.clker.com/cliparts/8/7/b/4/12065626191489794200mystica_(Splash)_Logotype.svg.med.png",
  //  sellerlogoSubtext: "",
  //  agent: "Mike",
  //  psGreeting: '<B>Thanks for your order!</B> #agent# has packed it with care. If you anyhow ...<BR><BR>YOU CAN SETUP THIS TEXT AND COMPANY LOGO on the options page of this Chrome extension. Goto chrome://extensions , look for "Barcodes for Sellercentral" and click "options"!',
  //  hideIntlPS: false,
  //  noIntlCountryPS: "",
  //  bigpcsPS: true,
  //  printMargins: "margin: 6mm 0mm 8mm 0mm;"
  //  ,favoriteColor: 'red'
  //}
  , function(items) {
    document.getElementById('enableScanner').checked = items.enableScanner;
    document.getElementById('beepVOL').innerText = items.beepVOL;
    document.getElementById('enableASIN').checked = items.enableASIN;
    document.getElementById('enablePS').checked = items.enablePS;
    document.getElementById('barcodePS').checked = items.barcodePS;
    document.getElementById('sellerlogo').innerText = items.sellerlogo;
    document.getElementById('sellerlogoWidth').innerText = items.sellerlogoWidth;
    document.getElementById('sellerlogoSubtext').innerText = items.sellerlogoSubtext;
    document.getElementById('agent').innerText = items.agent;
    document.getElementById('psGreeting').innerText = items.psGreeting;
    document.getElementById('hideIntlPS').checked = items.hideIntlPS;
    document.getElementById('noIntlCountryPS').innerText = items.noIntlCountryPS;
    document.getElementById('bigpcsPS').checked = items.bigpcsPS;
    document.getElementById('printMargins').innerText = items.printMargins;

 //   document.getElementById('color').value = items.favoriteColor;
    showHide("enableScanner","disableBeepVOL");
    showHide("enablePS","disablePSsettings");
    showHide("hideIntlPS","disablePScountryList");
    if(callback) callback();
  });
  
}

// Hides / shows element depending on checkbox is set
function showHide(checkboxName,hideElementID) {
    if (document.getElementById(checkboxName).checked === false) {
        document.getElementById(hideElementID).classList.add("hidden");
    } else {
      document.getElementById(hideElementID).classList.remove("hidden");
    }
}

document.addEventListener('DOMContentLoaded', restore_options);
document.getElementById('save').addEventListener('click',
    save_options);
    
document.getElementById('clear').addEventListener('click', function () {
    chrome.storage.sync.clear(function () {restore_options(function () {save_options();});});
    
});

document.getElementById('enableScanner').addEventListener('change', function () {
    showHide("enableScanner","disableBeepVOL");
});

document.getElementById('enablePS').addEventListener('change', function () {
    showHide("enablePS","disablePSsettings");
});

document.getElementById('hideIntlPS').addEventListener('change', function () {
    showHide("hideIntlPS","disablePScountryList");
});

document.addEventListener ('keydown', function (event) {
 
    // key cntrl + S (save)
        if (event.which == 83 && event.ctrlKey === true) {
            event.preventDefault();
            save_options();
        }
    });
      
